class Membership {
  late int membershipId;
  late String name;
  late String description;
  late int duration;
  late String durationType;
  late String durationUnit;
  int? trainingPlanId;
  String? trainingPlanDayIds;


  Membership.fromJson(Map json) {
    membershipId = json['membershipId'];
    name = json['name'];
    description = json['description'];
    duration = json['duration'];
    durationUnit = json['durationUnit'];
    durationType = json['durationType'];
    trainingPlanId = json['trainingPlanId'];
    trainingPlanDayIds = json['trainingPlanDayIds'];
  }

Map<String, dynamic> toJson() =>  {
      "membershipId": membershipId,
      "name": name,
      "description": description,
      "duration": duration,
      "durationUnit": durationUnit,
      "durationType": durationType,
      "trainingPlanId": trainingPlanId,
      "trainingPlanDayIds": trainingPlanDayIds,
    };

  @override
  String toString() => toJson().toString();  
}